from __future__ import absolute_import

from django.conf.urls import patterns, include, url
from django.conf import settings

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns(
    '',
    url(r'', include('dashboard.urls')),
    url(r'^accounts/', include('allauth.urls')),
    url(r'^database/', include('userdbs.urls')),
    url(r'^domains/', include('domains.urls')),
    url(r'^hosting/', include('hostingpackages.urls')),
    url(r'^website/', include('websites.urls')),
    url(r'^mail/', include('managemails.urls')),
    url(r'^osuser/', include('osusers.urls')),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^contact/', include('contact_form.urls')),
)
urlpatterns += patterns(
    'django.contrib.flatpages.views',
    url(r'^impressum/$', 'flatpage', {'url': '/impressum/'}, name='imprint'),
)

# Uncomment the next line to serve media files in dev.
# urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

if settings.DEBUG:
    import debug_toolbar
    urlpatterns += patterns('',
                            url(r'^__debug__/', include(debug_toolbar.urls)),
                            )
